Package Details: imagemagick-git 7.0.10.59.r18323.gf548a590c-1

Git Clone URL: https://aur.archlinux.org/imagemagick-git.git (read-only, click to copy)
Package Base: imagemagick-git
Description: An image viewing/manipulation program
Upstream URL: https://www.imagemagick.org/
Licenses: custom
Conflicts: imagemagick, imagemagick6
Provides: imagemagick, libmagick
Replaces: imagemagick6, libmagick
Submitter: severach
Maintainer: severach
Last Packager: severach
Votes: 8
Popularity: 0.000000
First Submitted: 2015-08-13 08:16 (UTC)
Last Updated: 2021-01-22 02:54 (UTC)

Required by (1061)

Sources (2)

Latest Comments

1 2 3 Next › Last »

xiota commented on 2023-11-07 12:10 (UTC)

replaces array should not be used at all on AUR. While there is an allowed exception, it does not apply here.

imagemagick6 should be removed from the provides/conflicts/replaces. None of the packages in the "Required by" list above use it. The specified version "6" is incorrect.

aorth commented on 2023-03-30 18:48 (UTC) (edited on 2023-03-31 04:43 (UTC) by aorth)

I've created a greatly updated PKGBUILD for imagemagick-git: https://gist.github.com/alanorth/6a31b80026c6c7c1fd473e14fecc22ca

aorth commented on 2023-03-30 07:26 (UTC) (edited on 2023-03-30 07:27 (UTC) by aorth)

Build error due to invalid pkgver:

==> ERROR: pkgver is not allowed to contain colons, forward slashes, hyphens or whitespace.
==> ERROR: pkgver() generated an invalid version: grep: ChangeLog: No such file or directory
.r21000.g3331c9ed8

bkb commented on 2021-04-30 18:53 (UTC)

Can you make a pre-compiled version (imagemagick-bin?)?

skw commented on 2021-01-20 03:52 (UTC)

IM7-GS-policy.patch no longer exists in the arch repo source, so this fails to build

dreieck commented on 2018-05-19 12:37 (UTC)

Failure while trying to download perlmagick.rpath.patch:

  -> Downloading perlmagick.rpath.patch...
--2018-05-19 14:36:39--  <https://projects.archlinux.org/svntogit/packages.git/plain/trunk/perlmagick.rpath.patch?h=packages/imagemagick>
Loaded CA certificate '/etc/ssl/certs/ca-certificates.crt'
Resolving projects.archlinux.org (projects.archlinux.org)... 5.9.250.164, 2a01:4f8:160:3033::2
Connecting to projects.archlinux.org (projects.archlinux.org)|5.9.250.164|:443... connected.
HTTP request sent, awaiting response... 301 Moved Permanently
Location: <https://git.archlinux.org/svntogit/packages.git/plain/trunk/perlmagick.rpath.patch?h=packages/imagemagick> [following]
--2018-05-19 14:36:40--  <https://git.archlinux.org/svntogit/packages.git/plain/trunk/perlmagick.rpath.patch?h=packages/imagemagick>
Resolving git.archlinux.org (git.archlinux.org)... 5.9.250.164, 2a01:4f8:160:3033::2
Connecting to git.archlinux.org (git.archlinux.org)|5.9.250.164|:443... connected.
HTTP request sent, awaiting response... 404 Not found
2018-05-19 14:36:40 ERROR 404: Not found.

==> ERROR: Failure while downloading <https://projects.archlinux.org/svntogit/packages.git/plain/trunk/perlmagick.rpath.patch?h=packages/imagemagick>
    Aborting...

yodaembedding commented on 2017-08-12 03:44 (UTC)

The new repository is located at https://github.com/ImageMagick/ImageMagick.git Simply edit the PKGBUILD to replace source=("${_srcdir}::git+http://git.imagemagick.org/repos/ImageMagick.git" with source=("${_srcdir}::git+https://github.com/ImageMagick/ImageMagick.git"

marcin commented on 2017-06-22 04:19 (UTC)

If having this problem: montage: unable to read font `(null)' the reason can be that /usr/share/fonts/Type1 does not exist. This can be solved by installing https://aur.archlinux.org/packages/gsfonts-type1/ you might need to remove already installed gsfonts if you have it.

shoober420 commented on 2017-05-31 06:19 (UTC)

Thank you sir

shoober420 commented on 2017-05-30 22:19 (UTC)

"libcl" needs removed from line 86 as well